Bug 18644 - Failed install
Summary: Failed install
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-08 16:15 UTC by Need Real Name
Modified: 2007-04-18 16:29 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-27 19:41:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2000-10-08 16:15:11 UTC
This install failure occured when upgrading from Redhat Linux 6.1.  I also 
got a message similar to this when upgrading from 6.0 and 6.2.  As well as 
just a fresh install to version 7.  I tried this in 2 different machines, 
and got similar results.  I don't know if it's something wrong with my 
machines or something wrong on the CD-Rom media out of the box.

When installing RedHat Linux 7,  the install goes fine, except at the very 
end, when I get an error message like the following:

Traceback (innermost last):
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iw/progress_gui.py", 
line 20, in run
    rc = self.todo.doInstall ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1732, in 
doInstall
    self.upgrade)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/lilo.py", line 369, in 
install
    lilo.write(instRoot + "/etc/lilo.conf", perms = perms)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/lilo.py", line 72, in 
write
    f = open(file, "w")
IOError: [Errno 28] No space left on device: '/mnt/sysimage/etc/lilo.conf'

Local variables in innermost frame:
self: boot=/dev/hda
map=/boot/map
install=/boot/boot.b
prompt
timeout=50
default=linux
message=/boot/message
linear

image=/boot/vmlinuz-2.2.12-20
	label=linux
	initrd=/boot/initrd-2.2.12-20.img
	read-only
	root=/dev/hda7

file: /mnt/sysimage/etc/lilo.conf
perms: 420

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'currentDisc'
p6
I2
sS'tree'
p7
S'/mnt/source'
sS'device'
p8
S'hdc'
sS'progressWindow'
p9

<failed>

Comment 1 Michael Fulbright 2000-10-09 14:55:17 UTC
How is your drive partitions and what mount points did you specify?

Comment 2 Need Real Name 2000-10-09 16:24:30 UTC
I specified the following mount points:
on device hda
/
/boot
/usr
/opt
/var
swap partition

on device hdb
/home

The /home mount point on the second hard drive has existing data that I don't want to delete.  I elected not to format that mount point, but I did format all 
the other mount points.

I have successfully installed RedHat 7 on a different computer, creating the same mount points as above, but on one physical drive.  The install failed 
when I didn't format the /home partition.  I restarted the installation, but the second time, I formatted all partitions, and that seemed to work.

Is there a way I can install RedHat, but not format the /home partition?

Comment 3 Need Real Name 2000-10-10 14:32:34 UTC
I tried installing RedHat 7 again last night at my home pc, this time formatting all partitions.  The install failed again, so I don't think it has anything to do 
with partitioning, or the CD-Media, since I was able to successfully install RedHat on my work computer, which has a different hardware 
configuration.  Here is my home computer hardware configuration:

ASUS P5A motherboard, BIOS 1.07A
Samsung 1.2G hard drive (HDA)
Western Digital 4.2 G hard drive (HDB)
Diamond S220 video card
2 Linksys Combo NICs (LNE2PCI)
64Megs or RAM

I'm not sure if anything has to do with my IDE controller.  I get a message that the IDE controller isn't 100% compatible when I boot up, and it will try to 
probe for IRQs later.

I can install RedHat 6.1 with NO problems whatsoever.  When I install RedHat 6.2, the install hangs after the last file is copied.  It says that it is 
performing post installation tasks, or something like that, but I never get a completed installation message.  When I reboot, the computer doesn't even 
get to the LILO prompt.

Comment 4 Michael Fulbright 2000-10-27 19:25:32 UTC
It certainly seems like your / partition is not large enough to hold everything
you are installing,
leading to the out of space error.

I can't reproduce this particular problem on our systems here.

Can you try installing with only one of your NICs installed?

Comment 5 Michael Fulbright 2000-10-27 19:36:55 UTC
Related to bug 18674.

Comment 6 Michael Fulbright 2000-11-27 19:41:49 UTC
Closing to inactivity.


Note You need to log in before you can comment on or make changes to this bug.